Debian Bug report logs - #566556
fails to install

version graph

Package: dict-xdict; Maintainer for dict-xdict is Emfox Zhou <emfox@debian.org>; Source for dict-xdict is src:dict-xdict.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sat, 23 Jan 2010 22:12:02 UTC

Severity: serious

Tags: patch

Found in version dict-xdict/0.1-4

Fixed in version dict-xdict/0.1-4.1

Done: Theppitak Karoonboonyanan <thep@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Emfox Zhou <emfox@debian.org>:
Bug#566556; Package dict-xdict. (Sat, 23 Jan 2010 22:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Emfox Zhou <emfox@debian.org>. (Sat, 23 Jan 2010 22:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: fails to install
Date: Sat, 23 Jan 2010 23:09:26 +0100
[Message part 1 (text/plain, inline)]
Package: dict-xdict
Version: 0.1-4
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package failed to install. 

From the attached log (scroll to the bottom...):

  Selecting previously deselected package dict-xdict.
  (Reading database ... 6063 files and directories currently installed.)
  Unpacking dict-xdict (from .../dict-xdict_0.1-4_all.deb) ...
  Setting up dict-xdict (0.1-4) ...
  invoke-rc.d: unknown initscript, /etc/init.d/dictd not found.
  dpkg: error processing dict-xdict (--configure):
   subprocess installed post-installation script returned error exit status 
100
  Errors were encountered while processing:
   dict-xdict
  E: Sub-process /usr/bin/dpkg returned an error code (1)


regards,
	Holger
[dict-xdict_0.1-4.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Emfox Zhou <emfox@debian.org>:
Bug#566556; Package dict-xdict. (Sat, 27 Feb 2010 00:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Baptiste Lallement <jeanbaptiste.lallement@gmail.com>:
Extra info received and forwarded to list. Copy sent to Emfox Zhou <emfox@debian.org>. (Sat, 27 Feb 2010 00:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 566556@bugs.debian.org (full text, mbox):

From: Jean-Baptiste Lallement <jeanbaptiste.lallement@gmail.com>
To: 566556@bugs.debian.org
Subject: dict-xdict failed to install: missing depends on dictd
Date: Sat, 27 Feb 2010 01:12:25 +0100
Hi,

Not only "This package will be of limited use without the server found 
in the dictd package." according to the description but it is also 
uninstallable and then unremovable.

You should add a depends on dictd

@Holger, to workaround this situation simply install dictd.

Sincerely,




Information forwarded to debian-bugs-dist@lists.debian.org, Emfox Zhou <emfox@debian.org>:
Bug#566556; Package dict-xdict. (Sun, 14 Mar 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. Copy sent to Emfox Zhou <emfox@debian.org>. (Sun, 14 Mar 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 566556@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: 566556@bugs.debian.org, control@bugs.debian.org
Subject: Optionally restart dictd
Date: Sun, 14 Mar 2010 15:47:47 +0700
[Message part 1 (text/plain, inline)]
tags 566556 + patch
thanks

Hello from Thailand Mini-DebCamp 2010 BSP.

If the intention of the package is to "Suggests: dictd",
it should restart dictd only when dictd is present,
and never fail otherwise.

I've prepared a patch for this (attached). Is it OK for NMU?

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/
[dictd-restart.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Theppitak Karoonboonyanan <thep@debian.org> to control@bugs.debian.org. (Sun, 14 Mar 2010 08:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Emfox Zhou <emfox@debian.org>:
Bug#566556; Package dict-xdict. (Mon, 15 Mar 2010 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emfox Zhou <emfoxzhou@gmail.com>:
Extra info received and forwarded to list. Copy sent to Emfox Zhou <emfox@debian.org>. (Mon, 15 Mar 2010 00:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 566556@bugs.debian.org (full text, mbox):

From: Emfox Zhou <emfoxzhou@gmail.com>
To: Theppitak Karoonboonyanan <thep@debian.org>, 566556@bugs.debian.org
Subject: Re: Bug#566556: Optionally restart dictd
Date: Mon, 15 Mar 2010 08:33:54 +0800
On Sun, Mar 14, 2010 at 4:47 PM, Theppitak Karoonboonyanan
<thep@debian.org> wrote:
> tags 566556 + patch
> thanks
>
> Hello from Thailand Mini-DebCamp 2010 BSP.
>
> If the intention of the package is to "Suggests: dictd",
> it should restart dictd only when dictd is present,
> and never fail otherwise.
>
> I've prepared a patch for this (attached). Is it OK for NMU?

Yes, feel free to do a NMU.


-- 
Emfox Zhou

GnuPG Public Key: 0xF7142EC2




Information forwarded to debian-bugs-dist@lists.debian.org, Emfox Zhou <emfox@debian.org>:
Bug#566556; Package dict-xdict. (Mon, 15 Mar 2010 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. Copy sent to Emfox Zhou <emfox@debian.org>. (Mon, 15 Mar 2010 03:27:03 GMT) Full text and rfc822 format available.

Message #27 received at 566556@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: Emfox Zhou <emfoxzhou@gmail.com>
Cc: 566556@bugs.debian.org
Subject: Re: Bug#566556: Optionally restart dictd
Date: Mon, 15 Mar 2010 10:22:39 +0700
[Message part 1 (text/plain, inline)]
On Mon, Mar 15, 2010 at 7:33 AM, Emfox Zhou <emfoxzhou@gmail.com> wrote:
> On Sun, Mar 14, 2010 at 4:47 PM, Theppitak Karoonboonyanan
> <thep@debian.org> wrote:
>> tags 566556 + patch
>> thanks
>>
>> Hello from Thailand Mini-DebCamp 2010 BSP.
>>
>> If the intention of the package is to "Suggests: dictd",
>> it should restart dictd only when dictd is present,
>> and never fail otherwise.
>>
>> I've prepared a patch for this (attached). Is it OK for NMU?
>
> Yes, feel free to do a NMU.

Andrew Lee told me in IRC that Bug #539632 may render this
package totally non-distributable for Debian. But I'm still
uploading it soon BTW, just in case it can be solved somehow
(debdiff attached).

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/
[dict-xdict_0.1.4-4.1.debdiff (application/octet-stream, attachment)]

Reply sent to Theppitak Karoonboonyanan <thep@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 03:36:07 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 03:36:09 GMT) Full text and rfc822 format available.

Message #32 received at 566556-close@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: 566556-close@bugs.debian.org
Subject: Bug#566556: fixed in dict-xdict 0.1-4.1
Date: Mon, 15 Mar 2010 03:33:05 +0000
Source: dict-xdict
Source-Version: 0.1-4.1

We believe that the bug you reported is fixed in the latest version of
dict-xdict, which is due to be installed in the Debian FTP archive:

dict-xdict_0.1-4.1.diff.gz
  to main/d/dict-xdict/dict-xdict_0.1-4.1.diff.gz
dict-xdict_0.1-4.1.dsc
  to main/d/dict-xdict/dict-xdict_0.1-4.1.dsc
dict-xdict_0.1-4.1_all.deb
  to main/d/dict-xdict/dict-xdict_0.1-4.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566556@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Theppitak Karoonboonyanan <thep@debian.org> (supplier of updated dict-xdict package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 10:14:32 +0700
Source: dict-xdict
Binary: dict-xdict
Architecture: source all
Version: 0.1-4.1
Distribution: unstable
Urgency: low
Maintainer: Emfox Zhou <emfox@debian.org>
Changed-By: Theppitak Karoonboonyanan <thep@debian.org>
Description: 
 dict-xdict - An English to Chinese Dictionary
Closes: 566556
Changes: 
 dict-xdict (0.1-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix postinst so it's installable without dictd present. (Closes: #566556)
   * debian/control: Added missing ${misc:Depends}. [lintian]
Checksums-Sha1: 
 b7375a9c077243db4681a788bfb42bf98f2549e1 1001 dict-xdict_0.1-4.1.dsc
 3221ce8d0a4dfcb6c9151b2d5270b43cf5a9f082 4660 dict-xdict_0.1-4.1.diff.gz
 06c2b3ca08db59bd5eefe71576c42c211325c69a 3554438 dict-xdict_0.1-4.1_all.deb
Checksums-Sha256: 
 0283bb8abacc8eda48544dfbc75a1978897ab2612d9dbc8a81c609a579467250 1001 dict-xdict_0.1-4.1.dsc
 abf7630b9b539146d53eb4ba3e27e673182275de774cd7a4767202b5d474f2ab 4660 dict-xdict_0.1-4.1.diff.gz
 b2d1f820e7b8238ca09a947923058984e08f2ce5cf754be20678a83683e6ecb5 3554438 dict-xdict_0.1-4.1_all.deb
Files: 
 e134120cf33fd1b0d496c607d132c4d6 1001 text optional dict-xdict_0.1-4.1.dsc
 30f4083ae2f3f9b2f24c33aaa9809020 4660 text optional dict-xdict_0.1-4.1.diff.gz
 02b5a8c713c0fe19e5e9e22c5999618b 3554438 text optional dict-xdict_0.1-4.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkudqNQACgkQqgzR7tCLR/6/LgCgjVkZLg2QbziSnpZtHq8Gb+sR
kx4AnRmKK1MH0Oj6nE6K/qtpwvtQRHUw
=HpxW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Apr 2010 07:36:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:59:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.